*******************************************
***			Important variables			***
*******************************************


* Adjustments to the dependent variable

drop if adj_gap>3  
// to get id of impossible high values
 
replace adj_gap = adj_gap*(-1) if adj_gap <0 & ddummy==1
// to control for the cases where the gender dummmy added to the regression was 1 for female


// Adjustments to correct for the different weighting schemes used in Oaxaca-Blinder decompositions

replace adj_gap = adj_gap* n/(n-f*adj_gap) if method=="bom" & f!=. & n!=.0					// male component
replace adj_gap = adj_gap* n/(n*(1+adj_gap)-f*adj_gap) if method=="bof" & f!=. & n!=. 		//female component
replace adj_gap = adj_gap* n/((2+adj_gap)*n-2*f*adj_gap) if method=="reimers"	& f!=. & n!=.	// reimers

replace adj_gap = adj_gap* 2/(2-adj_gap) if method=="bom" & f==. & n!=.				// male component
replace adj_gap = adj_gap* 2/(2-adj_gap) if method=="bof" & f==. & n!=.				//female component
replace adj_gap = adj_gap  if method=="reimers"	& f==. & n!=.						// reimers

// different weighting schemes
gen const =1
bys no: egen n_est = sum(const)
gen weighta = 1/n_est
label var weighta "Number of estimates"

bys no: egen aux = mean(adj_gap)
bys no: egen aux2 = sd(adj_gap)
gen weightc = aux/aux2 if n_est>1
drop aux aux2
label var weightc "Coef. of variance"

gen weightd =   (n-1)^(-1/2)
replace weightd= (pseudo_n-1)^(-1/2)+weighta if n<10
label var weightc "Deg. of freedom"

// Dependent variables used in the one estimate per paper-year-country basis

egen mean_paper	=	mean(adj_gap), by(no c_code year)
gen  mean_pp	=	mean_paper == adj_gap

egen median_paper	=	median(adj_gap), by(no c_code year)
gen aux 			=	adj_gap - median_paper
egen  aux2			=	min(abs(aux)), by(no c_code year)
gen median_pp 		=	abs(aux)==aux2

drop aux aux2

egen min_paper	=	min(adj_gap), by(no c_code year)
gen  min_pp		=	min_paper == adj_gap

egen max_paper	=	max(adj_gap), by(no c_code year)
gen  max_pp		=	max_paper == adj_gap

egen nhigh		= 	max(regr), by(no c_code year)
gen nmax_pp 	= 	nhigh == regr


egen sd_paper	= sd(adj_gap), by(no no c_code year)


exit


