////////////////////////////////////
//		Main specifications		 //
//////////////////////////////////

qui cret li
cd "`r(cmd)'"

do data_maker

/////////////////////////////////////// 
/* Table 1: Preferred specifications */
///////////////////////////////////////

local page1 	"authsex new_ent fullt private public narrow l_occ m_occ h_occ no_marr marr min "		//OLS & male component as refer
local page2		"dbom dneum dreimers dcotton dbrown ddummy  iv heck panel no_hour hour_c  gross_w pot_exp"
local page3		"no_exp min2 ms dep ms_dep train ten occ ind govt union fem ft_pt "
local others	"wage_m source urb_m major theme reg_m sex_m major"
global inst1	"gdp_pc part_2 fert_rate prop_buddis prop_easrel prop_jews prop_muslim prop_hindu prop_cath econ_free c111 workban cedaw"
global inst2	" gdp_pc  fert_rate part_2 econ_free  workban cedaw c111"
global inst3	" gdp_pc fert_rate part_2 prop_buddis prop_easrel prop_jews prop_muslim prop_hindu prop_cath econ_free  workban eq_index"
global inst4	"gdp_pc2 fert_rate part_2 econ_free  workban eq_index"
global inst5	"prop_buddis prop_easrel prop_jews prop_muslim prop_hindu prop_cath"

global basic0	"`page1' `page2' `page3' `others'"
global basic1	"`page1' `page2' `page3' `others' qlow qhigh"
global restrict	"year>1970 & pubmed!=2 "


// First specifications
xi:reg adj_gap  $basic0 i.regions i.year $inst4 if typediff==. &  pubmed!=2 & year>1970 & q==. , vce(cluster no)
estimates store wwbasic			 

xi:reg adj_gap  $basic0  i.regions i.year $inst4 if typediff==. &  year>1970 & added==1 & q==. , vce(cluster no)
estimates store wwbasicour	

xi: reg adj_gap   $basic0   i.regions i.year $inst4  sby if typediff==. & year>1970 & q==. & pubmed!=2, vce(cluster no)
estimates store wwsb


// Meta-regressions
xi: metareg mean_paper authsex  i.regions i.year $inst4 if $restrict & first==1, wsse(sd_paper)
estimates store small_wwe

xi: metareg mean_paper  authsex  i.regions i.year $inst4 sby if $restrict & first==1, wsse(sd_paper)
estimates store small_sb



/////////////////////////////
// Output producing part 1 //
////////////////////////////

set linesize 120
global names1	"wwbasic wwbasicour  wwsb small_wwe small_sb"
estimates table $names1, star(.1 .05 .01) b(%9.3f) stats(N r2_a tau tau_0 avg) drop(_*)  
outreg2 [$names1] using first_results, keep(sby $inst4 ) excel replace dec(3) title("First Results") 


global longtab	"wwbasic wwbasicour  wwsb "
estimates table $longtab, star(.1 .05 .01) b(%9.3f) stats(N r2_a tau tau_0) drop(_*)  
outreg2 [$longtab] using long_tab, excel replace dec(3) title("Annex (1)") label


///////////////////////////////////
// Table 2 : Robustness checks	 //
//////////////////////////////////

gen ssy = c_code+string(year)
gen gb0 = 1-ga0 if ga0!=.   // language has some form of gender assignment

gen ngx = 1-ng0 if ng0!=. // language has genders in nouns,articles, etc



local i =1
foreach vars in  gb0 sby ngx{
local ++i
xi: metareg mean_paper authsex theme i.regions year `vars' $inst4 if $restrict & first==1 , wsse(sd_paper)
estimates store add_regions_year`i'

xi: metareg mean_paper authsex  theme  i.regions year `vars' $inst3 if $restrict & first==1, wsse(sd_paper)
estimates store other_inst`i'
 
foreach var in  median min max nmax{			// other measures from each paper
xi: metareg adj_gap  $basic1  i.regions year `vars' $inst4 if $restrict & `var'_pp==1, wsse(sd_paper)
estimates store `var'`i'
}
 
xi: reg mean_paper  authsex  theme i.year i.regions  `vars' [aw=1/sd_paper] if $restrict & first==1 , vce(cluster ssy)
estimates store clusters`i'

xi: reg mean_paper  authsex theme i.year i.regions  $inst4 `vars' [aw=1/sd_paper] if $restrict  & first==1 , vce(cluster ssy)
estimates store clusters_inst`i'

global names`i' add_regions_year`i' other_inst`i' clusters`i' clusters_inst`i' median`i' min`i' max`i' nmax`i'
}
estimates table $names2, keep(gb0) star(.1 .05 .01) stats(N r2_a tau2 tau2_0 avg) b(%9.4f)
xi: estimates table $names3, keep(sby) star(.1 .05 .01) stats(N r2_a tau2 tau2_0 avg) b(%9.4f)
estimates table $names4, keep(ngx) star(.1 .05 .01) stats(N r2_a tau2 tau2_0 avg) b(%9.4f)



* Output producing part

 

outreg2 [$names2 $names3 $names4] using controls, keep(gb0 sby ngx) excel replace dec(3) label title("Robustness checks")
 



exit
